/*
 * valout.h
 * http://www.mikrocontroller.net/topic/121526#new
 * 20110822 de0508, Uwe
 */

#ifndef VALOUT_H
#define VALOUT_H

#include <inttypes.h>

//#define VALOUT_32

#ifdef  VALOUT_32
typedef int32_t valout_data_t;
#else
typedef int16_t valout_data_t;
#endif

extern void valout (
  valout_data_t val,		// Ausgabezahl 
  int8_t digits,		// # der Stellen, ==1 links Ausgerichtet
  int8_t point,			// Stelle des ',' Trennzeichens
  char * outp			// Ausgabepuffer
);

#endif // VALOUT_H
